//
//  SelfFillingMutables.h
//  SolarSeek
//
//  Created by Erick Fejta on 05/02/04.
//  Copyright 2005 Erick Fejta. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SelfFillingMutableDictionary : NSMutableDictionary {
	NSMutableDictionary *_d;
}

@end

@interface SelfFillingMutableDictionary (SelfCreation) 

- (id)createObjectForNewKey:(id)key;

@end

@interface RandomMutableSet : NSMutableSet {
	NSMutableSet *_s;
	NSEnumerator *_e;
}

- (id)anyObject; //actually random...Apple idiots.
@end

@interface SelfFillingMutableSet : RandomMutableSet {
}

- (id)member:(id)object;
@end

