//
//  SolarSeekValueTransformers.h
//  SolarSeek
//
//  Created by Erick Fejta on 05/03/19.
//  Copyright 2005 Erick Fejta. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSString (FejtaSorters)
- (NSComparisonResult)numericCompare:(NSString *)string;
@end


@interface SolarSeekValueTransformers : NSObject {}
- (void)install;
@end

@interface SolarSeekValueTransformerCardinalNumbers : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerMetric : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerMetric (Customize)
- (NSString *)nonNumber;
- (NSString *)post;
@end

@interface SolarSeekValueTransformerSize : SolarSeekValueTransformerMetric {}
@end

@interface SolarSeekValueTransformerSpeed : SolarSeekValueTransformerMetric {}
@end

@interface SolarSeekValueTransformerTime : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerTimeAlternate : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerLastPathComponent : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerRemoveLastPathComponent : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerColorAvailable : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerAvailability : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerAttributize : NSValueTransformer {}
@end

@interface SolarSeekValueTransformerBitrate : NSValueTransformer {}
@end