/* TransferView */

#import <Cocoa/Cocoa.h>

#import "EnumTypes.h"

@class FOutlineView;

@interface TransferView : NSView
{
	TransferType type;
    IBOutlet FOutlineView *nibOutlineView;
}
- (IBAction)clearTransfers:(id)sender;
- (IBAction)revealTransfers:(id)sender;
- (IBAction)removeFinishedTransfers:(id)sender;
- (IBAction)openTransfers:(id)sender;
- (IBAction)copyFileNames:(id)sender;


- (TransferType)type;
- (void)setTransferType:(TransferType )t;

@end
