/*
 *  EnumTypes.h
 *  SolarSeek
 *
 *  Created by Erick Fejta on 05/02/07.
 *  Copyright 2005 Erick Fejta. All rights reserved.
 *
 */

typedef enum { 
	AvailabilityUnknown=-1, AvailabilityOffline=0,
	AvailabilityAway=1,AvailabilityOnline=2 
} Availability;

extern NSString *	TypeConnectionPeer;
extern NSString *	TypeConnectionTransfer;
extern NSString * TypeConnectionPierceFirewall;

typedef enum {
	ChatTypeNone=0,
	ChatTypePrivate=1,
	ChatTypeRoom=2
} ChatType;

typedef enum {
	TransferStateFinished=0,
	TransferStateIdle,
	TransferStateFailed,
	TransferStateStarting,
	TransferStateTransferring,
	TransferStateNone
} TransferState;

typedef enum {
	TransferTypeDownload=0,
	TransferTypeUpload=1
} TransferType;

typedef enum { MessageNone=0, MessageLength, MessagePayload, MessageWrite, 
	TransferStart, TransferReadToken, TransferWriteToken,
	TransferReadOffset, TransferWriteOffset,
	TransferTransferUpload, TransferTransferDownload,
	TransferUploadFinish
} NetSocketTags;

typedef enum { QueueTypeByUser, QueueTypeByTransfer } QueueType;