/* PreferencesController */

#import <Cocoa/Cocoa.h>

@interface PreferencesController : NSObject
{
	NSToolbar *_toolbar;
	NSWindow *_oldWindow;
	
	IBOutlet NSArrayController *nibArrayControllerShares;
	IBOutlet NSTextView *nibTextComment;
	IBOutlet NSTextField *nibTextPassword;
	IBOutlet NSView *nibViewPreferences;
    IBOutlet NSWindow *windowDownloads;
    IBOutlet NSWindow *windowFonts;
    IBOutlet NSWindow *windowGeneral;
    IBOutlet NSWindow *windowiTunes;
    IBOutlet NSWindow *windowNetwork;
    IBOutlet NSWindow *windowPreferences;
    IBOutlet NSWindow *windowShares;
}
- (IBAction)addFolderUpload:(id)sender;
- (IBAction)changeUserIcon:(id)sender;
- (IBAction)changeDownloadPath:(id)sender;
- (IBAction)changeIncompleteDownloadPath:(id)sender;
- (IBAction)removeFolderUpload:(id)sender;

- (void)addDefaultShares;

- (void)setupUsername;
- (void)setupPassword;
@end
