//
//  SearchSourceListElement.h
//  SolarSeek
//
//  Created by Erick Fejta on 05/03/17.
//  Copyright 2005 Erick Fejta. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SourceListElement.h"
#import "SolarSeekApplication.h"

@class Search;

@interface SearchSourceListElement : SourceListElement {
	Search *_search;
	BOOL _autosave;
	NSRect _rectVisible;
	NSArray *_sharesSelected;
}

- (id)initWithSearch:(Search *)search autosaves:(BOOL)autosave;

- (Search *)search; 
- (BOOL)autosaves;
- (void)setAutosaves:(BOOL)autosave;

- (void)save;
@end
