//
//  Searches.h
//  SolarSeek
//
//  Created by Erick Fejta on 05/02/18.
//  Copyright 2005 Erick Fejta. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "Shares.h"

@interface Search : NSObject <NSCoding> {
	NSString *query;
	ShareTree *sharesTree;
}

- (id)initWithQuery:(NSString *)query;

- (NSString *)query;
- (ShareTree *)sharesTreeRoot;
//- (NSArray *)resultsMatchingQuery:(NSString *)query;  later
@end

@interface Search (Results)
- (NSArray *)results;
- (NSArray *)peers;
- (BOOL)active;
@end