//
//  TransferViewElement.h
//  SolarSeek
//
//  Created by Erick Fejta on 05/04/23.
//  Copyright 2005 Erick Fejta. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "FOutlineViewDataSource.h"
@class Transfer;

@protocol TransferViewElement 
- (NSImage *)icon;
- (NSAttributedString *)name;
- (NSAttributedString *)transfer;
- (NSNumber *)percentageComplete;
- (NSAttributedString *)time;
- (id)data;
@end

@interface TransferViewElement : FOutlineViewElement <TransferViewElement> {
	int state;
	Transfer *_transfer;
	NSMutableAttributedString *_name;
}

- (id)initWithTransfer:(Transfer *)transfer;
- (void)setState:(int)s;
- (int)state;


@end
